<div class="t2acont">
    <h1>T2A Age Verify for UK customers</h1>
    <h2>Your customers</h2>
    <p>All your customer accounts are shown below with their T2A Age Verified status.</p>
    <p>Click <strong>Run Verification</strong> to verify an individual with the T2A Age Verification service.</p>
    <p>For customers that cannot be verified using our service, click the <strong>Manual Verification</strong> button once you have alternative proof of their age.</p>
    <p><strong>Remember, T2A Age Verify can only verify a UK Customer</strong></p>
    <table class="form-table" role="presentation">
        <tbody>
        <tr>
            <td>
                <label for="vonly">
                    <input type="checkbox" id="vonly" name="vonly">
                    Verified only</label>
            </td>
            <td>
                <label for=nvonly">
                    <input type="checkbox" id="nvonly" name="nvonly">
                    Not verified only</label>
            </td>
        </tr>
        </tbody>
    <div class="t2a-user-list">
        <table id="t2aUsersTable" class="table">
            <thead>
                <tr>
                    <th>Username</th>
                    <th>Name</th>
                    <th>Address Line 1</th>
                    <th>Potcode</th>
                    <th>T2A Status</th>
                    <th>Run Verify</th>
                    <th>Manual Actions</th>
                </tr>
            </thead>
            <tbody>
            <?php foreach(get_users([ 'role__in' => [ 'customer' ] ]) as $customer): ?>
                <tr>
                    <td><?php echo $customer->display_name ?></td>
                    <td><?php echo get_user_meta( $customer->ID, 'billing_first_name', true ) ?> <?php echo get_user_meta( $customer->ID, 'billing_last_name', true )?></td>
                    <td><?php echo get_user_meta( $customer->ID, 'billing_address_1', true ) ?></td>
                    <td><?php echo get_user_meta( $customer->ID, 'billing_postcode', true ) ?></td>
                    <td><?php echo isset($this->user_array[$customer->display_name])?"<span class=\"verified\">Age Verified":"<span class=\"not-verified\">Not Verified</span>" ?></td>
                    <td>
                        <form method="post" action="<?php echo $this->get_cur_url() ?>" novalidate="novalidate">
                            <input type="hidden" name="run_verification" value="true" />
                            <input type="hidden" name="first_name" value="<?php echo get_user_meta( $customer->ID, 'billing_first_name', true ) ?>" />
                            <input type="hidden" name="last_name" value="<?php echo get_user_meta( $customer->ID, 'billing_last_name', true )?>" />
                            <input type="hidden" name="address_1" value="<?php echo get_user_meta( $customer->ID, 'billing_address_1', true ) ?>" />
                            <input type="hidden" name="postcode" value="<?php echo get_user_meta( $customer->ID, 'billing_postcode', true ) ?>" />
                            <input type="hidden" name="username" value="<?php echo $customer->display_name ?>" />
                            <input type="submit" class="button button-primary" value="Run Verification"/>
                        </form>
                    </td>
                    <td>
                        <form method="post" action="<?php echo $this->get_cur_url() ?>" novalidate="novalidate">
                            <?php if (isset($this->user_array[$customer->display_name])): ?>
                            <input type="hidden" name="unverify" value="true" />
                            <input type="hidden" name="username" value="<?php echo $customer->display_name ?>" />
                            <input type="submit" class="button" value="Unverify"/>
                            <?php else: ?>
                            <input type="hidden" name="manual_verification" value="true" />
                            <input type="hidden" name="username" value="<?php echo $customer->display_name ?>" />
                            <input type="submit" class="button" value="Manual Verification"/>
                            <?php endif ?>
                        </form>
                    </td>
                </tr>
            <?php endforeach ?>
            </tbody>
        </table>
    </div>
</div>
<?php


?>
